curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/webhooks' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": "*",
"hasSecret": true,
"enabled": true,
"orgId": "string",
"sandboxId": "string",
"headers": {},
"retryCount": 1,
"retryDelayMs": 1,
"timeoutMs": 250,
"createdAt": "2026-08-31T14:22:05Z"
}
]
}
List registered webhooks
List of webhooks (secrets stripped; keys are camelCase)
GET
/
api
/
v1
/
webhooks
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/webhooks' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": "*",
"hasSecret": true,
"enabled": true,
"orgId": "string",
"sandboxId": "string",
"headers": {},
"retryCount": 1,
"retryDelayMs": 1,
"timeoutMs": 250,
"createdAt": "2026-08-31T14:22:05Z"
}
]
}
Response
object
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | List of webhooks (secrets stripped; keys are camelCase) |
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/webhooks' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": "*",
"hasSecret": true,
"enabled": true,
"orgId": "string",
"sandboxId": "string",
"headers": {},
"retryCount": 1,
"retryDelayMs": 1,
"timeoutMs": 250,
"createdAt": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026